import { MeshBasicMaterial, MeshStandardMaterial, Texture } from 'three';
import { FractionDigitsType } from '../Common/SystemEnum';
import { ObjectId } from '../DatabaseServices/ObjectId';
import { ICursorConfig } from '../Editor/ICursorConfig';
import { RenderType } from '../GraphicsSystem/RenderType';
import { DrillingOption } from '../UI/Store/drillInterface';
export declare class IHostApplicationServices {
    DefaultMeshMaterial?: MeshBasicMaterial | MeshStandardMaterial;
    DefaultFloorMaterial?: MeshBasicMaterial | MeshStandardMaterial;
    DefaultWallMaterial?: MeshBasicMaterial | MeshStandardMaterial;
    DefaultBulkheadCeilingMaterial?: MeshBasicMaterial | MeshStandardMaterial;
    IsRoomEntityVisible: boolean;
    CurrentDimStyle: ObjectId;
    isShowLightShadow: boolean;
    ShowHistoryLog: boolean;
    Physical2EdgeColor: number;
    ConceptualEdgeColor: number;
    ConceptualOpacity: number;
    DrawWallBottomFace: boolean;
    sealReserve: number;
    private __ProxyObject__;
    static __ProxyKeys__: string[];
    get ProxyObject(): any;
    set ProxyObject(obj: any);
    _renderType: RenderType;
    DrillConfigs: Map<string, DrillingOption[]>;
    openDrillingReactor: boolean;
    sealingColorMap: [string, string][];
    showLines: boolean;
    showOpenDirLines: boolean;
    show2DPathLine: boolean;
    show2DPathObject: boolean;
    uese: string;
    forceFilterPxl: boolean;
    chaidanOption: {
        changXiuBian: number;
        duanXiuBian: number;
        useDefaultRad: boolean;
        radius: number;
        modeling2HoleRad: number;
        isCheckInterfere: boolean;
        noModeingData: string;
        statTk: boolean;
        statSt: boolean;
        drillRemark: boolean;
        checkSealType: string;
        sealMaxValue: number;
        sealValues: string;
        hardwareExpressionFormattingAccuracy: number;
        partialSplitValueCanTakesEffect: boolean;
    };
    viewSize: {
        minViewHeight: number;
        maxViewHeight: number;
        zoomSpeed: number;
    };
    cursorSize: ICursorConfig;
    dimTextHeight: number;
    boardCustomNumberTextHeight: number;
    lineWidth: number;
    fractionDigitsType: FractionDigitsType;
    private constructor();
    private static _SingleInstance;
    static GetInstance(): IHostApplicationServices;
    LoadDefaultExr(): Promise<Texture>;
    LoadMetalEnv(): Promise<Texture>;
}
export declare let HostApplicationServices: IHostApplicationServices;
//# sourceMappingURL=HostApplicationServices.d.ts.map