import { Vector3 } from "three";
import { Entity } from "../../DatabaseServices/Entity/Entity";
export declare class ParseWalls {
    private _Pos;
    private _Dir;
    private _EntSet;
    private _RSeg;
    constructor(_Pos: Vector3, _Dir: Vector3, _EntSet: Set<Entity>, size: number);
    FindInWall(x: number): Segment1d | undefined;
    private Raycast;
}
export declare function FindInWall(x: number, walls: Segment1d[]): Segment1d;
export type Segment1d = [number, number];
/**
 * 一维区间的裁剪
 * @param primitiveSegs 原始区间 例如 [0,1] [2,3]
 * @param subs 减去的区间 例如 [ [0,0.2] , [0.15,0.5] ]...
 * @returns 剩余区间 [0.5,1] [2,3]...
 */
export declare function Segment1dSubtraction2(primitiveSegs: Segment1d[], subs: Segment1d[]): Segment1d[];
/**
 * 查找最近的区间和位置
 * @export
 * @param {number} num  当前位置例如 5
 * @param {Segment1d[]} intervals 需要查找的区间例如 [[1,2],[7,9]]
 * @param {number} dist 相距倍数
 * @param {number} allIntervalsLength 实际区间长度
 * @return {*} closestInterval  closestNum最近值 closestDist值距离 positive值在左/右边
 */
export declare function FindClosestInterval(num: number, intervals: Segment1d[], dist: number, allIntervalsLength?: number): {
    closestInterval: Segment1d;
    closestNum: number;
    closestDist: number;
    positive: boolean;
};
export declare function operInterval(oldIntervals: Segment1d[], addIntervals: Segment1d[], filter?: Segment1d[]): any[];
//# sourceMappingURL=ParseWalls.d.ts.map